Public Attributes | List of all members
_ll_comp_init Struct Reference
Peripheral Driver » LL Driver » COMP » Structures » COMP Exported init structures

LL COMP init Structure definition. More...

`#include <ll_comp.h>`

## Public Attributes
uint32_t | input_source
uint32_t | ref_source
uint32_t | ref_value
uint32_t | hyst
uint32_t | edge
uint32_t | res_deg

## Detailed Description

LL COMP init Structure definition.

Definition at line 76 of file ll_comp.h.

## Member Data Documentation

## ◆ edge

uint32_t _ll_comp_init::edge

Specifies the wakeup edge of the comparator. This parameter can be any value of COMP wakeup edge.

Definition at line 95 of file ll_comp.h.

## ◆ hyst

uint32_t _ll_comp_init::hyst

Specifies the hysteresis for the comparator. This parameter can be modified afterwards using unitary function ll_comp_positive_hysteresis() and ll_comp_negative_hysteresis().

Definition at line 92 of file ll_comp.h.

## ◆ input_source

uint32_t _ll_comp_init::input_source

Specifies the input source for the comparator. This parameter can be any value of COMP INPUT SOURCE. This parameter can be modified afterwards using unitary function ll_comp_set_input_src().

Definition at line 78 of file ll_comp.h.

## ◆ ref_source

uint32_t _ll_comp_init::ref_source

Specifies the reference source for the comparator. This parameter can be any value of COMP INPUT SOURCE.

This parameter can be modified afterwards using unitary function ll_comp_set_ref_src().

Definition at line 82 of file ll_comp.h.

## ◆ ref_value

uint32_t _ll_comp_init::ref_value

Specifies the value of the COMP buffered reference. If ref_source select to LL_COMP_REF_SRC_VBAT, this parameter can be a value between: 0 ~ 7. This parameter can be modified afterwards using unitary function ll_comp_set_vbatt_lvl().

If ref_source select to LL_COMP_REF_SRC_VREF, this parameter can be a value between: 0 ~ 63. This parameter can be modified afterwards using unitary function ll_comp_set_vref_lvl().

Definition at line 86 of file ll_comp.h.

## ◆ res_deg

uint32_t _ll_comp_init::res_deg

Specifies the calibration for the comparator. This parameter can be modified afterwards using unitary function ll_comp_positive_degeneration() and ll_comp_negative_degeneration().

Definition at line 98 of file ll_comp.h.

The documentation for this struct was generated from the following file:

- ll_comp.h